component-section(datetimestart='2021-12-09T18:30', minutesneeded='165', istopmost='true')
  div(slot='title') Efficiënter sorteren
  p.bron
    a(href='#sec_9') Sorteren
    |
    | vanaf
    |
    a(href='#sec_9.5') 9.5
    | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-criterion(codes='["procedure-sort-merge"]')
        | Je volgt de procedure voor Merge sort.
      component-criterion(codes='["ontwikkeling-partitioneren"]')
        | Je programmeert met behulp van partitioneren.
      component-criterion(codes='["procedure-sort-quick"]')
        | Je volgt de procedure voor Quicksort.
      component-criterion(codes='["ontwikkeling-sort-quick"]')
        | Je ontwikkelt Quicksort.
  component-section(datetimestart='2021-12-09T18:30', minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-12-09T19:35', minutesneeded='25')
    div(slot='title') Merge sort
    ul
      li
        p
          | Samenvattende uitleg over Merge sort met
          |
          a(href='https://opendsa-server.cs.vt.edu/OpenDSA/Books/Everything/html/Mergesort.html') OpenDSA: Mergesort Concepts
          |
          | en
          |
          a(href='https://visualgo.net/en/sorting') VisuAlgo: Merge sort
          | .
      li
        // TODO:
        p
          a(href='#') Voorbeeld van Merge sort in Java
          | .
  component-section(datetimestart='2021-12-09T20:00', minutesneeded='45')
    div(slot='title') Quicksort
    ul
      li
        p
          | Samenvattende uitleg over Quicksort met
          |
          a(href='https://visualgo.net/en/sorting') VisuAlgo: Quicksort
          |
          | en
          |
          a(href='https://opendsa-server.cs.vt.edu/OpenDSA/Books/Everything/html/Quicksort.html') OpenDSA: Quicksort
          | .
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/quicksort') Voorbeeld van Quicksort in Rust
          | .
  component-section(datetimestart='2021-12-09T20:45', minutesneeded='20')
    div(slot='title') Uitbreiding op sorteerder voor de 3D Basisvoorziening van Nederland
    component-exercise(together, extra)
      ul
        li
          p
            | De sorteercriteria moeten via de publieke API te specificeren zijn door de aanroeper.
        li
          p
            | De performance moet optimaal zijn voor de verwachte soort en hoeveelheid data, gegeven doelhardware.
            | Overweeg hiervoor verschillende sorteeralgoritmes.
        li
          p.instructor_only
            | Mijn uitwerking staat op
            |
            a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/cityjson_sorter') https://gitlab.com/han-aim/dt-sd-asd/adp/cityjson_sorter
            | .
            br
  component-section(datetimestart='2021-12-09T21:05', minutesneeded='10')
    div(slot='title') Afronding
